
"""
Incertitudes de type A pour la mesure de la période du pendule simple

"""
import numpy as np                  # pour la manipulation des tableaux
import matplotlib.pyplot as plt     # pour les représentations graphiques

# On rentre les périodes mesurées (ci-dessous, 10 valeurs mais on en met autant qu'on veut
T = np.array([,,,,,,,,,])

# Tracé de l'histogramme
plt.hist(T,bins='rice')  # 'rice' pour optimiser les intervalles d'affichage
plt.title("Histogramme des périodes (s)")
plt.show()

# Calcul de la moyenne
T_moy = np.mean(T)
print("La valeur moyenne des périodes mesurées vaut {:.4f}s".format(T_moy))

# Calcul de l'incertitude-type
u_T = np.std(T,ddof=1)/np.sqrt(len(T))
print("L'incertitude-type sur la moyenne de la période vaut {:.4f}s".format(u_T))













